%if 0%{?rhel}
%global with_python3 0
%else
%global with_python3 1
%endif
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-pam
Version:        1.8.2
Release:        6%{?dist}
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/FirefighterBlu3/python-pam
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%package -n python2-pam
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux
Group:          Development/Languages
%{?python_provide:%python_provide python2-pam}

%description -n python2-pam
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%if 0%{?with_python3}
%package -n python3-pam
Summary:        Pure Python interface to the Pluggable Authentication Modules system on Linux
Group:          Development/Languages
%{?python_provide:%python_provide python3-pam}

%description -n python3-pam
This module provides an authenticate function that allows the caller to
authenticate a given username / password against the PAM system on Linux.

%endif

%prep
%setup -q
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%files -n python2-pam
%doc README.md
%{python2_sitelib}/pam.py*
%{python2_sitelib}/python_pam*-%{version}-py*.egg-info

%if 0%{?with_python3}
%files -n python3-pam
%doc README.md
%{python3_sitelib}/pam.py*
%{python3_sitelib}/python_pam*-%{version}-py*.egg-info
%{python3_sitelib}/__pycache__/pam.cpython*
%endif

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.8.2-4
- Use python_provide macro

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 1.8.2-1
- Switch to fork from David Ford, previous source was unmaintained since 2009
- Update to 1.8.2
- Add python3 subpackage

* Tue Aug 12 2014 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.1.4-2
- Add support for EPEL6.

* Wed Jun 11 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-1
- Bug #1104258 update to 0.1.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.1.3-1
- Initial packaging
